cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Groups \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"displayName":"Test SCIM","members":[],"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"]}'{
"displayName": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
POST
/
api
/
scim
/
v2
/
Groups
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Groups \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"displayName":"Test SCIM","members":[],"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"]}'{
"displayName": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"schemas": [
"<string>"
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json

